/*Copyright 2009 Jose C. Bandeira R. Cardoso

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package EsforcosControle;

import javax.swing.*;
import java.awt.*;



public class EntradaDeDados extends JFrame{
    
    /*Essa classe  um JFrame onde se pergunta ao usurio
     *sobre a velocidade de laminao, o tipo de cilindro, a temperatura do material,
     *o carbono equivalente, o tipo de perfil, e o mtodo de clculo de esforos.
     *
     *This class is a JFrame, where the user is asked for the rolling speed,
     *type of rolls, temperature, equivalent carbon, type of shape 
     *and the method of load calculation.        
     */
    
    private Container container;
    private TratadorDados tratadorDados;    
    private JPanel panel;
    private JLabel temperaturaLabel, velocidadeLabel,
            carbonoEquivalenteLabel, tipoCilindroLabel,
            metodoEsforcosLabel, tipoPerfilLabel;
    private static JTextField  temperaturaField, velocidadeField,
            carbonoEquivalenteField, tipoCilindroField,
            metodoEsforcosField, tipoPerfilField; 
    private String carbonoEquivalente$ [], metodoEsforcos$ [], tipoPerfil$ [], tipoCilindro$ [];
    private static JComboBox carbonoEquivalenteBox, metodoEsforcosBox, tipoPerfilBox, tipoCilindroBox;
    private JButton ok;
    private Box caixa;
    
    /** Creates a new instance of DadosFisicosPasse */
    public EntradaDeDados() {        
               
        try{
            
        container = getContentPane();
        panel = new JPanel();
        panel.setLayout ( new GridLayout( 6 , 1 ));
                       
        tratadorDados = new TratadorDados();
        
        entraTemperatura();  
        entraVelocidade();
        entraTipoCilindro();
        entraCarbonoEquivalente();
        entraTipoPerfil();        
        entraMetodoEsforcos();
                 
        
        ok = new JButton ( "OK" );
        
        ok.addActionListener ( tratadorDados );
        
        caixa = Box.createVerticalBox();
        caixa.add(panel);
        caixa.add(ok);
        
        container.add(caixa);
        this.setLocation (400, 400);
        this.setSize(400, 250);
        //this.setVisible(true);
        
        }
        
        catch (Exception exception ){
            
            JOptionPane.showMessageDialog ( null, "Erro em DadosFisicosPasse()", "Erro em DadosFisicosPasse.java", JOptionPane.ERROR_MESSAGE );
            
        }   
        
        
        
    }
    
    public void entraVelocidade(){
            
        velocidadeLabel = new JLabel(velocidadeIdioma());
        panel.add (velocidadeLabel);
        velocidadeField = new JTextField("");
        panel.add (velocidadeField); 
        
    }        
        
    public void entraTemperatura(){
        
        temperaturaLabel = new JLabel(temperaturaIdioma());
        panel.add (temperaturaLabel);
        temperaturaField = new JTextField("");
        panel.add (temperaturaField); 
        
    }    
  
    
    public void entraTipoCilindro(){
        
        tipoCilindroLabel = new JLabel(materialIdioma());
        panel.add (tipoCilindroLabel);
        tipoCilindro$  = new String [3];
        tipoCilindro$[0] = fofoNIdioma();
        tipoCilindro$[1] = acoIdioma();
        tipoCilindro$[2] = fofoCIdioma();
        tipoCilindroBox = new JComboBox( tipoCilindro$ );
        tipoCilindroBox.setMaximumRowCount(3);        
        tipoCilindroBox.addItemListener(tratadorDados);        
        panel.add (tipoCilindroBox);
    }
    
    public void entraTipoPerfil(){
        
        tipoPerfilLabel = new JLabel(tipoPerfilIdioma());
        panel.add (tipoPerfilLabel);
        tipoPerfil$  = new String [5];
        tipoPerfil$[0] = cantoneiraIdioma();
        tipoPerfil$[1] = vigaUDuoIdioma();
        tipoPerfil$[2] = vigaUUniIdioma();
        tipoPerfil$[3] = vigaIDuoIdioma();
        tipoPerfil$[4] = vigaIUniIdioma();
        tipoPerfilBox = new JComboBox( tipoPerfil$ );
        tipoPerfilBox.setMaximumRowCount(5);        
        tipoPerfilBox.addItemListener(tratadorDados);        
        panel.add (tipoPerfilBox);        
    }
    
    
    public void entraCarbonoEquivalente(){
        
        carbonoEquivalenteLabel = new JLabel(carbonoEqIdioma());
        panel.add (carbonoEquivalenteLabel);
        carbonoEquivalente$  = new String [3];
        carbonoEquivalente$[0] = baixoCarbonoIdioma();
        carbonoEquivalente$[1] = medioCarbonoIdioma();
        carbonoEquivalente$[2] = altoCarbonoIdioma();
        carbonoEquivalenteBox = new JComboBox( carbonoEquivalente$ );
        carbonoEquivalenteBox.setMaximumRowCount(3);        
        carbonoEquivalenteBox.addItemListener(tratadorDados);        
        panel.add (carbonoEquivalenteBox);     
    }    
        
        
    public void entraMetodoEsforcos(){
        
        metodoEsforcosLabel = new JLabel(metodoEsforcosIdioma());
        panel.add (metodoEsforcosLabel);
        metodoEsforcos$  = new String [4];
        metodoEsforcos$[0] = "TSELIKOV";
        metodoEsforcos$[1] = "MAUK";
        metodoEsforcos$[2] = "EKELUND";
        metodoEsforcos$[3] = "MISAKA";        
        metodoEsforcosBox = new JComboBox( metodoEsforcos$ );
        metodoEsforcosBox.setMaximumRowCount(4);
        metodoEsforcosBox.addItemListener(tratadorDados);                
        panel.add (metodoEsforcosBox);  
        
    }   
    
    
       
    
    public static String  getVelocidadeText(){
        
        return velocidadeField.getText();
    } 
    
    public static String  getTemperaturaText(){
        
        return temperaturaField.getText();
    }   
      
   public static JComboBox getCarbonoEquivalenteBox(){
       
       return carbonoEquivalenteBox;
       
   }   
   
   public static JComboBox getMetodoEsforcosBox(){
       
       return metodoEsforcosBox;
       
   }
   
   public static JComboBox getTipoPerfilBox(){
       
       return tipoPerfilBox;
       
   }
   
   public static JComboBox getTipoCilindroBox(){
       
       return tipoCilindroBox;
       
   }
   
   private static String velocidadeIdioma(){
       
      if(InicioApplet.portugues)
          return " Velocidade (m/s) ";
      else 
          return " Speed (m/s) ";
       
  }
   
   private static String temperaturaIdioma(){
       
       if(InicioApplet.portugues)
           return " Temperatura (C) ";
       else 
           return " Temperature (C) ";
       
   }
   
   private static String materialIdioma(){
       
       if(InicioApplet.portugues)
           return " Material do Cilindro ";
       else 
           return " Roll material ";
   }
   
   private static String acoIdioma(){
       
       if(InicioApplet.portugues)
           return " Ao ";
       else 
           return " Steel ";
       
   }
   
   private static String fofoNIdioma(){
       
       if(InicioApplet.portugues)
           return "Ferro fundido nodular";
       else 
           return " Nodular cast iron ";
       
   }
   
   private static String fofoCIdioma(){
       
       if(InicioApplet.portugues)
           return "Ferro fundido cinzento";
       else 
           return " Gray cast iron ";
       
   }
   
   private static String tipoPerfilIdioma(){
       
       if(InicioApplet.portugues)
           return " Tipo de perfil ";
       else 
           return " Type of shape ";
       
   }
   
   private static String cantoneiraIdioma(){
       
       if(InicioApplet.portugues)
           return " Cantoneira ";
       else 
           return " Angle ";
       
   }
   
   private static String vigaUDuoIdioma(){
       
       if(InicioApplet.portugues)
           return "Viga U gaiola duo";
       else 
           return " Channel two high stand ";
       
   }
   
   private static String vigaIDuoIdioma(){
       
       if(InicioApplet.portugues)
           return "Viga I gaiola duo";
       else 
           return " I-beam two high stand ";
       
   }
   
    private static String vigaIUniIdioma(){
       
       if(InicioApplet.portugues)
           return "Viga I gaiola universal";
       else 
           return " I-beam universal stand ";
       
   }
    
    private static String vigaUUniIdioma(){
       
        if(InicioApplet.portugues)
           return "Viga U gaiola universal";
       else 
           return " Channel universal stand ";
       
   }
    
    private static String carbonoEqIdioma(){
       
       if(InicioApplet.portugues)
           return " Carbono equivalente do ao ";
       else 
           return " Steel equivalent carbon ";
       
   }
    
    private static String baixoCarbonoIdioma(){
       
       if(InicioApplet.portugues)
           return "Baixo carbono";
       else 
           return " Low carbon ";
       
   }
    
    private static String medioCarbonoIdioma(){
       
       if(InicioApplet.portugues)
           return "Mdio carbono";
       else 
           return " Medium carbon ";
       
   }
    
    private static String altoCarbonoIdioma(){
       
       if(InicioApplet.portugues)
           return "Alto carbono";
       else 
           return " High carbon ";
       
   }
    
    private static String metodoEsforcosIdioma(){
       
       if(InicioApplet.portugues)
           return " Mtodo de clculo dos esforos ";
       else 
           return " Loads calculation method ";
       
   }
    
    
    
    
    
}