/*Copyright 2009 Jose C. Bandeira R. Cardoso

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package EsforcosControle;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

/**
 *
 * @author jcbrc
 *
 *Esse  o JApplet, que d incio ao programa. Abre uma janela onde sero digitados os dados.
 *Dependendo do valor da varivel booleana, rodar em portugues ou ingles.
 *Os dados so solicitados inicialmente pela classe "EntradaDeDados", depois pela
 *"TratadorDados". At aqui estamos no pacote "EsforcosControle". As variveis 
 *criadas para esses dados so ento enviadas para o pacote de clculo 
 *"EsforcosModelo", onde as classes "ModeloGeometrico" e "PerfisEsforcos", auxiliadas
 *pelas classes "Colina" e "Equacao2Grau" calculam a fora, torque e potncia. 
 *Os resultados so enviados de volta ao pacote "EsforcosControle", onde a classe 
 *"Resultados" os exibe na tela. 
 *
 *This is the JApplet that starts the program. It opens a JFrame where the data 
 *will be entered. Depending on the value of the boolean variable, the program 
 *will run in Portuguese or English.
 *Data are entered initially by the class "EntradaDados", then by "TratadorDados".
 *We are until here inside the package "EsforcosControle". Variables created from 
 *that data are then sent to the calculation package "EsforcosModelo", where the 
 *classes "ModeloGeometrico" and "PerfisEsforcos", helped by classes "Colina" and
 *"Equacao2Grau" calculates the force, torque and power. The results are sent back
 *to the package "EsforcosControle", where the class "Resultados" shows them on scren. 
 *
 *
 */
public class InicioApplet extends javax.swing.JApplet {
    
    private JTextField[] disclaimer;  
    private JPanel panel; 
    private Border border;
    private Container container;
    private static EntradaDeDados janelaInicial;
    public static boolean portugues=true;
    
    /** Creates a new instance of InicioApplet */
    public InicioApplet() {
        
        container = getContentPane();
        container.setLayout (new FlowLayout());
        disclaimer = new JTextField [17];
        panel = new JPanel();
        panel.setLayout(new GridLayout(17,1));
        border = BorderFactory.createEmptyBorder();
        
        
        for (int i = 0;i<17;i++){
            disclaimer[i] = new JTextField();
            disclaimer[i].setEditable(false);
            disclaimer[i].setBorder(border);
            disclaimer[i].setText(copyright(i));
            panel.add(disclaimer[i]);
        }
        container.add(panel);     
        
        janelaInicial = new EntradaDeDados();
        janelaInicial.setVisible(true);
    }
    
    public String copyright(int i){
    
        if (i==0 || i==1 || i==2 || i==3 || i==5 || i==10)
                return 
                "";        
        if (i==4)
                return 
                "Copyright 2009 Jose C. Bandeira R. Cardoso";         
        else if (i==6)
                return
                "This program is free software: you can redistribute it and/or modify";         
        else if (i==7)
                return       
                "it under the terms of the GNU General Public License as published by"; 
        else if (i==8)
                return
                "the Free Software Foundation, either version 3 of the License, or"; 
        else if (i==9)
                return        
                "(at your option) any later version.";         
        else if (i==11)
                return
                "This program is distributed in the hope that it will be useful,"; 
        else if (i==12)
                return
                "but WITHOUT ANY WARRANTY; without even the implied warranty of"; 
        else if (i==13)
                return
                "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the"; 
        else if (i==14)
                return
                 "GNU General Public License for more details"; 
        else if (i==15)
                return
                "You should have received a copy of the GNU General Public License"; 
        else 
                return
                "along with this program.  If not, see <http://www.gnu.org/licenses/>.";                                                                   
    
    }
    
}
