/*Copyright 2009 Jose C. Bandeira R. Cardoso

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package EsforcosControle;

import javax.swing.*;
import java.awt.*;
import java.text.DecimalFormat;
import EsforcosModelo.*;

public class Resultados extends JFrame{
    
    /*Essa classe  uma janela mostrando os resultados dos 
     *clculos. Tambm manda abrir um painel grfico mostrando a forma
     *do canal e do material laminado.
     */
    
    Container container;
    JPanel janelaSaida;    
    DecimalFormat zeroDigito, umDigito, doisDigitos;
    JLabel forcaHorizontalLabel, forcaVerticalLabel, torqueLabel, potenciaLabel;
    JTextField forcaHorizontalField, forcaVerticalField, potenciaField, torqueField;
    PerfilEsforcos perfilEsforcos;
            
    
    /** Creates a new instance of DadosSaida */
    public Resultados() {
        
        super (resultadosIdioma()); 
        
        try{      
        
        container = getContentPane();
        BorderLayout layout = new BorderLayout();
        container.setLayout ( layout );  
        janelaSaida = new JPanel();          
        
        janelaSaida.setLayout ( new GridLayout( 4 , 2 ));  
        
        zeroDigito = new DecimalFormat ("0");
        umDigito = new DecimalFormat ("0.0");        
        doisDigitos = new DecimalFormat ("0.00");
        
        perfilEsforcos = new PerfilEsforcos();
        forcaVerticalSaida();
        forcaHorizontalSaida();
        torquePasseSaida();
        potenciaPasseSaida();            
                
        container.add(janelaSaida, BorderLayout.CENTER);       
        
        this.setSize (500, 200 );
        this.setLocation(200,200);
        this.setVisible (true);        
        
        }
        
        catch ( Exception exception ){
            
            JOptionPane.showMessageDialog(this," Erro em DadosSaida() ","Erro em DadosSaida.java",JOptionPane.ERROR_MESSAGE);
        }
    }
    
    
    
    public void forcaHorizontalSaida(){
        
        forcaHorizontalLabel = new JLabel(forcaHIdioma());
        janelaSaida.add (forcaHorizontalLabel);
        forcaHorizontalField = new JTextField();
        forcaHorizontalField.setText(zeroDigito.format(PerfilEsforcos.forcaHorizontal()));
        forcaHorizontalField.setEditable(false);
        janelaSaida.add (forcaHorizontalField);  
        
    }
    
    public void forcaVerticalSaida(){
        
        forcaVerticalLabel = new JLabel(forcaVIdioma());
        janelaSaida.add (forcaVerticalLabel);
        forcaVerticalField = new JTextField();
        forcaVerticalField.setText(zeroDigito.format(PerfilEsforcos.forcaVertical()));
        forcaVerticalField.setEditable(false);
        janelaSaida.add (forcaVerticalField);  
        
    }
    
    
    public void torquePasseSaida(){
        
        torqueLabel = new JLabel( " Torque (Kgf.m) ");
        janelaSaida.add (torqueLabel);
        torqueField = new JTextField();
        torqueField.setText(zeroDigito.format(PerfilEsforcos.torque()));
        torqueField.setEditable(false);
        janelaSaida.add (torqueField);
        
    }
    
    public void potenciaPasseSaida(){
        
        potenciaLabel = new JLabel(potenciaIdioma());
        janelaSaida.add (potenciaLabel);
        potenciaField = new JTextField();
        potenciaField.setText(zeroDigito.format(PerfilEsforcos.potencia()));
        potenciaField.setEditable(false);
        janelaSaida.add (potenciaField);   
        
    } 
    
    public static String resultadosIdioma(){
        
        if(InicioApplet.portugues)
           return  " Resultados do passe ";
       else 
           return " Pass results ";
    }
    
    public static String forcaHIdioma(){
        
        if(InicioApplet.portugues)
           return  " Fora horizontal de laminao (Kgf) ";
       else 
           return " Horizontal rolling force (Kgf)";
        
    }
    
    public static String forcaVIdioma(){
        
        if(InicioApplet.portugues)
           return  " Fora vertical de laminao (Kgf) ";
       else 
           return " Vertical rolling force (Kgf)";
        
    }
    
    public static String potenciaIdioma(){
        
        if(InicioApplet.portugues)
           return  " Potncia (Kw) ";
       else 
           return " Power (Kw) ";
        
    }
    
}