/*Copyright 2009 Jose C. Bandeira R. Cardoso

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package EsforcosControle;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import EsforcosModelo.*;


public class SegundoTratador implements ActionListener{
    
    /*Essa classe cria variveis para a geometria do perfil definida em
     *TratadorDados, e os envia, juntamente com os de EntradaDeDados, 
     *para a classe ModeloGeometrico, onde eles sero processados.
     *Abre ento a janela Resultados, onde a fora, torque e potncia 
     *calculados sero exibidos na tela.
     * 
     *This class create variables for the shape geometry defined in
     *TratadorDados, and it sends them and that from EntradaDeDados
     *to the class ModeloGeometrico, where they will be processed.
     *It opens the window Resultados, where the rolling Force, Torque 
     *and Power will be showed on the screen.     
     */
    
    private static ModeloGeometrico modelo;
    private static double diametroCilHor, diametroCilVert, larguraAba, larguraAlma, 
            espessuraEntradaAba, espessuraEntradaAlma, espessuraSaidaAba, espessuraSaidaAlma,
            anguloInternoAba, anguloExternoAba;
    private Resultados resultados;
    
    /** Creates a new instance of DadosFisicosPasse */
    public SegundoTratador() {        
        
        
    }
    
    
    public void actionPerformed ( ActionEvent e ){
        
        try {     
           
           larguraAba = Double.parseDouble(TratadorDados.getLarguraAba().getText());           
           espessuraEntradaAba = Double.parseDouble(TratadorDados.getEspessuraAbaEnt().getText());
           espessuraSaidaAba = Double.parseDouble(TratadorDados.getEspessuraAbaSai().getText());
           anguloInternoAba = Double.parseDouble(TratadorDados.getAnguloInt().getText());
           diametroCilHor = Double.parseDouble(TratadorDados.getDiametroHorizontal().getText());
           
           if(TratadorDados.getPerfil() == TratadorDados.CANTONEIRA)               
               anguloExternoAba = anguloInternoAba;
           
           else if (TratadorDados.getPerfil() == TratadorDados.VIGAIUNI || TratadorDados.getPerfil() == TratadorDados.VIGAUUNI){
               anguloExternoAba = 0;
               diametroCilVert = Double.parseDouble(TratadorDados.getDiametroVertical().getText());
           }
           else
               anguloExternoAba = Double.parseDouble(TratadorDados.getAnguloExt().getText());      
           
           if (TratadorDados.getPerfil() != TratadorDados.CANTONEIRA ){
               
               larguraAlma = Double.parseDouble(TratadorDados.getLarguraAlma().getText());    
               espessuraEntradaAlma = Double.parseDouble(TratadorDados.getEspessuraAlmaEnt().getText());
               espessuraSaidaAlma = Double.parseDouble(TratadorDados.getEspessuraAlmaSai().getText());
               
           }
                                     
           modelo = new ModeloGeometrico();
           setParametros();
           
           resultados = new Resultados();                
           
        }
        
        catch ( NumberFormatException numberFormatException ) {
               
               JOptionPane.showMessageDialog(null,"use ponto como separador decimal","Preencha todos os campos",JOptionPane.ERROR_MESSAGE);
           }
        
        catch ( NullPointerException exception ) {
               
               JOptionPane.showMessageDialog(null," Varivel no definida para o perfil ","Erro em TratadorDadosFisicosPasse.java",JOptionPane.ERROR_MESSAGE);
           }  
        
        
            
            
        }
    
    public static void setParametros(){
        
           modelo.setAnguloExterno(anguloInternoAba);
           modelo.setAnguloInterno(anguloInternoAba);
           modelo.setCarbono(TratadorDados.getCarbono());
           modelo.setManganes(TratadorDados.getManganes());
           modelo.setCromo(TratadorDados.getCromo());
           modelo.setDiametroHorizontal(diametroCilHor);
           modelo.setDiametroVertical(diametroCilVert);
           modelo.setEspessuaAbaEnt(espessuraEntradaAba);
           modelo.setEspessuaAbaSai(espessuraSaidaAba);
           modelo.setEspessuaAlmaEnt(espessuraEntradaAlma);
           modelo.setEspessuaAlmaSai(espessuraSaidaAlma);
           modelo.setLarguraAba(larguraAba);
           modelo.setLarguraAlma(larguraAlma);
           modelo.setTemperatura(TratadorDados.getTemperatura());
           modelo.setTipoCilindro(TratadorDados.getTipo());
           modelo.setVelocidade(TratadorDados.getVelocidade());
           modelo.setMetodoCalculo(TratadorDados.getMetodoCalculo());
           
    }
    
    public static ModeloGeometrico getModelo(){
        
        return modelo;
    }
    
    
}