/*Copyright 2009 Jose C. Bandeira R. Cardoso

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package EsforcosControle;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;


public class TratadorDados extends JFrame implements ItemListener, ActionListener{
   
   /*Nessa classe, so criadas as variveis para guardar os dados introduzidos na classe
    *EntradaDeDados.  uma outra JFrame, onde o usurio tambm introduz novos dados sobre 
    *a geometria do perfil: larguras e espessuras de alma e aba, conforme seja o perfil
    * uma cantoneira, viga I ou U. Tambm os dimetros de cilindros.
    *
    *In this class, variables to save the input data from EntradaDeDados are created.
    *It is another JFrame, where the user also input new data defining the shape geometry:
    *width and thickness of web and legs, according to the shape: (angle, I-beam or channel).
    *Also the roll diameters.   
     */
   
   private Container container;
   private static JPanel panel;
   private static JButton ok;
   private static Box caixa;
   private static SegundoTratador segundoTratador;
   private static JLabel diametroHLabel, espessuraAlmaEntLabel, espessuraAlmaSaiLabel,
            diametroVLabel, espessuraEntLabel, espessuraSaiLabel, anguloIntLabel, anguloExtLabel,
            metodoEsforcosLabel, tipoPerfilLabel, larguraLabel, larguraAlmaLabel;
   private static JTextField  diametroHField, larguraField, larguraAlmaField,
            diametroVField, espessuraEntField, espessuraSaiField, anguloIntField, anguloExtField,
            metodoEsforcosField, tipoPerfilField, espessuraAlmaEntField, espessuraAlmaSaiField; 
   private static final int ACO = 1, FOFON = 2, FOFOC = 3;
   private static final int baixoCarbono = 1, medioCarbono = 2, altoCarbono = 3;   
   private static final int ESFORCOSEKELUND = 0, ESFORCOSMAUK = 1, ESFORCOSTSELIKOV = 2, ESFORCOSMISAKA = 3;    
   public static final int CANTONEIRA = 0, VIGAIDUO = 1, VIGAIUNI = 2, VIGAUDUO = 3, VIGAUUNI = 4;
   private static int metodoEsforcos, tipoPerfil, tipoCilindro;
   private static double carbono = 0.1, manganes = 0.6, cromo;
   private static double temperatura, velocidade;   
    
    /** Creates a new instance of TratadorDadosFisicosPasse */
    public TratadorDados() {       
        
        container = getContentPane();
        panel = new JPanel();
                          
        
        ok = new JButton ( "OK" ); 
        segundoTratador = new SegundoTratador();
        ok.addActionListener ( segundoTratador );
        
        caixa = Box.createVerticalBox();
        caixa.add(panel);
        caixa.add(ok);
        
        container.add(caixa);
           
        
    }
    
    public void itemStateChanged(ItemEvent e1){
        
        if(e1.getStateChange() == ItemEvent.SELECTED){               
                   
                    
                    tipoDePerfil();
                    carbonoEquivalente();                    
                    metodoEsforcos();
                    tipoCilindro();                   
               
        }
    
    }
        
    
    public void actionPerformed ( ActionEvent e2 ){
        
        try {     
           
            
           temperatura = Double.parseDouble(EntradaDeDados.getTemperaturaText());
           velocidade = Double.parseDouble(EntradaDeDados.getVelocidadeText());
                  
            entraDiametro();        
            entraLargura();
            entraEspessura();  
            entraAngulo();
            
            if(tipoPerfil == CANTONEIRA)
                panel.setLayout ( new GridLayout( 5 , 1 ));
            
            else 
                panel.setLayout ( new GridLayout( 9 , 1 ));            
            
            
            this.setLocation (50, 50);
            this.setSize(600,400);
            this.setVisible(true);
            this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
            
        }
        
        catch ( NumberFormatException numberFormatException ) {
               
               JOptionPane.showMessageDialog(null,"use ponto como separador decimal","Preencha todos os campos",JOptionPane.ERROR_MESSAGE);
           }
        
        catch ( NullPointerException exception ) {
               
               JOptionPane.showMessageDialog(null," Perfil no definido ","Erro em TratadorDados.java",JOptionPane.ERROR_MESSAGE);
           }  
        
        
           
    }
    
    
    public static void carbonoEquivalente(){
        
               if ( EntradaDeDados.getCarbonoEquivalenteBox().getSelectedIndex() == 0 ){
                   
                   carbono = 0.1; manganes = 0.6; cromo = 0;
                   
               }
               
               if ( EntradaDeDados.getCarbonoEquivalenteBox().getSelectedIndex() == 1 ){
                   
                   carbono = 0.3; manganes = 1.0; cromo = 0;
                   
               }
               
               if ( EntradaDeDados.getCarbonoEquivalenteBox().getSelectedIndex() == 2 ){
                   
                   carbono = 0.5; manganes = 1.4; cromo = 0.5;
                   
               }                   
        
    }
    
    
    public static void metodoEsforcos(){
        
                              
               if ( EntradaDeDados.getMetodoEsforcosBox().getSelectedIndex() == 0 )
                   metodoEsforcos = ESFORCOSTSELIKOV;
               
               if ( EntradaDeDados.getMetodoEsforcosBox().getSelectedIndex() == 1 )
                   metodoEsforcos = ESFORCOSMAUK;
        
               if ( EntradaDeDados.getMetodoEsforcosBox().getSelectedIndex() == 2 )
                   metodoEsforcos = ESFORCOSEKELUND;
        
               if ( EntradaDeDados.getMetodoEsforcosBox().getSelectedIndex() == 3 )
                   metodoEsforcos = ESFORCOSMISAKA;   
    }
    
    public static void tipoDePerfil(){
        
                              
               if ( EntradaDeDados.getTipoPerfilBox().getSelectedIndex() == 0 )
                   tipoPerfil = CANTONEIRA;
               
               if ( EntradaDeDados.getTipoPerfilBox().getSelectedIndex() == 1 )
                   tipoPerfil = VIGAIDUO;
        
               if ( EntradaDeDados.getTipoPerfilBox().getSelectedIndex() == 2 )
                   tipoPerfil = VIGAIUNI;
        
               if ( EntradaDeDados.getTipoPerfilBox().getSelectedIndex() == 3 )
                   tipoPerfil = VIGAUDUO;  
               
               if ( EntradaDeDados.getTipoPerfilBox().getSelectedIndex() == 4 )
                   tipoPerfil = VIGAUUNI;  
               
    } 
    
    public static void tipoCilindro(){
        
               if ( EntradaDeDados.getTipoCilindroBox().getSelectedIndex() == 0 )
                   tipoCilindro = FOFON;
               
               if ( EntradaDeDados.getTipoCilindroBox().getSelectedIndex() == 1 )
                   tipoCilindro = ACO;
               
               if ( EntradaDeDados.getTipoCilindroBox().getSelectedIndex() == 2 )
                   tipoCilindro = FOFOC;  
        
    }
    
    public static void entraDiametro(){
        
        if(getPerfil() == CANTONEIRA || getPerfil() == VIGAIDUO || getPerfil() == VIGAUDUO){
            diametroHLabel = new JLabel(diametroIdioma());
            panel.add (diametroHLabel);
            diametroHField = new JTextField("");
            panel.add (diametroHField);            
        }
        else{
            entraDiametroUni();
        }
        
    }
    
    public static void entraDiametroUni(){
        
        diametroHLabel = new JLabel(diametroHIdioma());
        panel.add (diametroHLabel);
        diametroHField = new JTextField("");
        panel.add (diametroHField);  
        
        diametroVLabel = new JLabel(diametroVIdioma());
        panel.add (diametroVLabel);
        diametroVField = new JTextField("");
        panel.add (diametroVField);  
    }
    
    public static void entraLargura(){
        
        larguraLabel = new JLabel(larguraAbaIdioma());
        panel.add (larguraLabel);
        larguraField = new JTextField("");
        panel.add (larguraField);  
            
    }
    
    public static void entraEspessura(){
        
        espessuraEntLabel = new JLabel(espessuraEntAbaIdioma());
        panel.add (espessuraEntLabel);
        espessuraEntField = new JTextField("");
        panel.add (espessuraEntField);  
        
        espessuraSaiLabel = new JLabel(espessuraSaiAbaIdioma());
        panel.add (espessuraSaiLabel);
        espessuraSaiField = new JTextField("");
        panel.add (espessuraSaiField);  
        
        if(getPerfil()!= CANTONEIRA)            
            entraViga();
        
    }    
    
    
    public static void entraViga(){
        
        larguraAlmaLabel = new JLabel(larguraAlmaIdioma());
        panel.add (larguraAlmaLabel);
        larguraAlmaField = new JTextField("");
        panel.add (larguraAlmaField);
        
        espessuraAlmaEntLabel = new JLabel(espessuraEntAlmaIdioma());
        panel.add (espessuraAlmaEntLabel);
        espessuraAlmaEntField = new JTextField("");
        panel.add (espessuraAlmaEntField);  
        
        espessuraAlmaSaiLabel = new JLabel(espessuraSaiAlmaIdioma());
        panel.add (espessuraAlmaSaiLabel);
        espessuraAlmaSaiField = new JTextField("");
        panel.add (espessuraAlmaSaiField);  
        
    }  
    
    public static void entraAngulo(){
        
        if(getPerfil()==CANTONEIRA || getPerfil()==VIGAIUNI || getPerfil()==VIGAUUNI){
            anguloIntLabel = new JLabel(anguloInternoIdioma());
            panel.add (anguloIntLabel);
            anguloIntField = new JTextField("");
            panel.add (anguloIntField);  
            
            anguloExtField = new JTextField();
            //anguloExtField.setText(anguloIntField.getText());
            
            
        }
        
        else{
            
            anguloIntLabel = new JLabel(anguloInternoIdioma());
            panel.add (anguloIntLabel);
            anguloIntField = new JTextField("");
            panel.add (anguloIntField);   
            
            anguloExtLabel = new JLabel(anguloExternoIdioma());
            panel.add (anguloExtLabel);
            anguloExtField = new JTextField("");
            panel.add (anguloExtField);      
            
            
        }
    }
    
    public static int getPerfil(){
        
        return tipoPerfil;
        
    }
    
    public static JTextField getLarguraAba(){
        
        return larguraField;
    }
    
    public static JTextField getLarguraAlma(){
        
        return larguraAlmaField;
    }
    
    public static JTextField getEspessuraAlmaEnt(){
        
        return espessuraAlmaEntField;
    }
   
    public static JTextField getEspessuraAlmaSai(){
        
        return espessuraAlmaSaiField;
    }
     
    public static JTextField getEspessuraAbaEnt(){
        
        return espessuraEntField;
    }
    
     public static JTextField getEspessuraAbaSai(){
        
        return espessuraSaiField;
    }
     
     public static JTextField getDiametroHorizontal(){
        
        return diametroHField;
    }
     
     public static JTextField getDiametroVertical(){
        
        return diametroVField;
    }
     
     public static JTextField getAnguloInt(){
        
        return anguloIntField;
    }     
     
     public static JTextField getAnguloExt(){
        
        return anguloExtField;
    }
     
     public static double getCarbono(){
         
         return carbono;
     }
     
     public static double getManganes(){
         
         return manganes;
     }
     
     public static double getCromo(){
         
         return cromo;
     }
     
     public static double getTemperatura(){
         
         return temperatura;
     }
     
     public static int getTipo(){
         
         return tipoCilindro;
     }
     
     public static double getVelocidade(){
         
         return velocidade;
     }
     
     public static int getMetodoCalculo(){
         
         return metodoEsforcos;
     }
     
     public static String diametroIdioma(){
         
          if(InicioApplet.portugues)
           return " Diametro (mm) ";
       else 
           return " Diameter (mm) ";
          
     }
     
     public static String diametroHIdioma(){
         
       if(InicioApplet.portugues)
           return " Diametro dos cilindros horizontais(mm) ";
       else 
           return " Diameter of horizontal rolls(mm) ";
         
     }
     
     public static String diametroVIdioma(){
         
       if(InicioApplet.portugues)
           return " Diametro dos cilindros verticais(mm) ";
       else 
           return " Diameter of vertical rolls(mm) ";
         
     }
     
     public static String larguraAbaIdioma(){
         
       if(InicioApplet.portugues)
           return " Largura de entrada da aba (mm) ";
       else 
           return " Legs entry width (mm) ";
         
         
     }
     
     public static String espessuraEntAbaIdioma(){
         
       if(InicioApplet.portugues)
           return " Espessura mdia de entrada da aba (mm) ";
       else 
           return " Legs average entry thickness (mm) ";         
         
     }
     
     public static String espessuraSaiAbaIdioma(){
         
       if(InicioApplet.portugues)
           return " Espessura mdia de sada da aba (mm) ";
       else 
           return " Legs average exit thickness (mm) ";   
         
     }
     
     public static String larguraAlmaIdioma(){
         
       if(InicioApplet.portugues)
           return " Largura de entrada da alma (mm) ";
       else 
           return " Web entry width (mm) ";
         
     }
     
     public static String espessuraEntAlmaIdioma(){
         
       if(InicioApplet.portugues)
           return " Espessura de entrada da alma (mm) ";
       else 
           return " Web entry thickness (mm) "; 
         
     }
     
     public static String espessuraSaiAlmaIdioma(){
         
       if(InicioApplet.portugues)
           return " Espessura de sada da alma (mm) ";
       else 
           return " Web exit thickness (mm) "; 
         
     }
     
     public static String anguloInternoIdioma(){
         
       if(InicioApplet.portugues)
           return " ngulo interno da aba com a vertical(graus)";
       else 
           return " Internal angle between leg and vertical(degrees)";         
         
     }
     
     public static String anguloExternoIdioma(){
         
       if(InicioApplet.portugues)
           return " ngulo externo da aba com a vertical(graus)";
       else 
           return " External angle between leg and vertical(degrees)";
       
     }
     
     
}